{
   "buffs":
   [
      {
         "id" : "xgpolarisfd_sk_text_fake1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk_text_fake1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },

















      {
         "id" : "xgpolarisfd_sk1_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf2_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf2_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf2_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf2_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk1_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk1_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },













      
      {
         "id" : "xgpolarisfd_sk2_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk2_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk2_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },



















      {
         "id" : "xgpolarisfd_sk3_text_bf1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf1_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf1_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf1_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf1_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf2_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf2_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf2_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf2_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk3_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk3_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },


















      {
         "id" : "xgpolarisfd_sk4_text_bf1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf1_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf1_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf1_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf1_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf2_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf2_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf2_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf2_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk4_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk4_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },












      {
         "id" : "xgpolarisfd_sk5_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf2_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf2_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf2_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf2_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk5_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk5_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },














      {
         "id" : "xgpolarisfd_sk6_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf3_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf3_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf3_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf3_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf4_1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf4_2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf4_3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf4_4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk6_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk6_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },



















      {
         "id" : "xgpolarisfd_sk7_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk7_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk7_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
















      {
         "id" : "xgpolarisfd_sk8_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk8_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk8_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },















      {
         "id" : "xgpolarisfd_sk9_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk9_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk9_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
















      {
         "id" : "xgpolarisfd_sk10_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk10_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk10_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },













      
      {
         "id" : "xgpolarisfd_sk11_text_bf1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf1_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf2_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf3_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf4_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf5_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf6_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf7_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf7_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf8_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf8_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf9_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf9_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf10_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf10_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_sk11_text_bf11_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_sk11_text_bf11_5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },




      {
         "id" : "xgpolarisfd_cs_text1_bf1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf6",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf7",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf7",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf8",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf8",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf9",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf9",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf10",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf10",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text1_bf11",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text1_bf11",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_cs_text_xgf",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_cs_text_xgf",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },









      {
         "id" : "xgpolarisfd_tk2_text1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk2_text2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk2_text3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk2_text4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk2_text5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk2_text6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk2_text6",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },









      {
         "id" : "xgpolarisfd_tk3_text1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk3_text2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk3_text3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk3_text4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk3_text5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk3_text6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk3_text6",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },









      {
         "id" : "xgpolarisfd_tk4_text1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text1",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk4_text2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text2",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk4_text3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text3",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk4_text4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text4",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk4_text5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text5",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
      {
         "id" : "xgpolarisfd_tk4_text6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "xgpolarisfd_tk4_text6",
         "amount" : 1,
         "is_clear_debuff_valid": false,
         "remove_if_not_active" : false,
         "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      }
   ]
}